{% load static %}

<!DOCTYPE html>
<html lang="fr">

	<head>
		<!-- titre de la fenêtre -->
		<title>BBF Bank</title>

		<!-- précise l'encodage au navigateur (gestion des accents, ...) -->
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

		<!-- Feuilles de style -->
		<link rel="stylesheet" type="text/css" href="{% static 'CSS/client.css' %}"/>
		
		<!-- Inhibe la grande largeur sur mobile : évite que le mobile présente un écran large et qu'il faille zoomer -->
		<meta name="viewport" content="initial-scale=1.0, maximum-scale=2.0" />

		<!-- icône de la page -->
		<link rel="icon" href="{% static 'favicon.ico' %}" type="image/x-icon">
	
	</head>

  <body>

	<header>
		<div class="logoBBF">
			<img src="{% static 'IMG/logoBBF.png' %}" alt="">
			<h1> BBF Bank </h1>
		</div>
		
		<button class="button-link-connexion">
			<a href="http://127.0.0.1:8000/"> Déconnection </a>
		</button>
		
	</header>

		<div class="bloc-info">		
			<div class="espace-info">
				<h1> Informations client </h1>

				<p> Nom : {{ client.nom_client }} </p>
				
				<p>Prenom :{{ client.prenom_client}} </p>

				<p> Date de création : {{ client.date }} <p>
				
				<p> Nombre de compte bancaire : {{ nombre_comptes}} </p>
			</div>
		</div>
		<div class="bloc-compte">
				<h2>Comptes Bancaires:</h2>
				<ul>
					{% for compte in comptes_bancaires %}
						<div class="espace-compte">
							<li>
								<strong>
									{{ compte.type_compte }} </br>
									Numéro de compte : {{compte.numero}}
								</strong>
								<p>Solde: {{ compte.solde }}</p>

								<form action="{% url 'faire_depot' compte.id %}" method="post"> <!--form pour dépot-->
									{% csrf_token %}
									<label for="montant_depot">Montant du dépôt:</label> </br>
									<input type="number" name="montant_depot" required>
									<button type="submit"> Faire un dépôt</button>
								</form>

								<form action="{% url 'faire_retrait' numero=compte.id %}" method="post"><!--form pour retrait-->
									{% csrf_token %}
									<label for="montant_retrait">Montant du retrait:</label>
									<input type="number" name="montant_retrait" required>
									<button type="submit">Faire un retrait</button>
								</form>

								<h3>Historique des transactions :</h3>
								<br> </br>
								<ul class="transactions-list">
									{% for compte2, transactions in transactions_par_compte.items %}
										{% for transaction in transactions %}
											{% if transaction.compte.numero == compte.numero %}
												<li>
													<p>Type de transaction : {{ transaction.type_transaction }}</p>
													<p>Montant de la transaction : {{ transaction.montant }}</p>
													<p>Date de la transaction : {{ transaction.date_transaction }}</p>
												</li>
											{% endif %}
										{% endfor %}
									{% endfor %}
								</ul>
							</li>
						</div>
					{% endfor %}
					</div>
				</u1>
					<div class="button-link-connexion">
						<li>
							<strong>Créer un nouveau compte</strong>
							<form action="{% url 'client2' client_id=client.id %}" method="post">
								{% csrf_token %}
								<label for="type_compte">Type de compte:</label>
								<input type="text" name="type_compte" required>
								<label for="solde_initial">Solde initial:</label>
								<input type="number" name="solde_initial" required>
								<button class="button-link-connexion" type="submit" name="creer_compte"> <a> Créer </a> </button>
							</form>
						</li>
					</div>
		</div>
	{% comment %} </div> {% endcomment %}
	
	<!-- Fin de page -->
	<footer>
		<a href="http://127.0.0.1:8000/">
			<div class="logoBBFFin">
					<img src="{% static 'IMG/logoRogneBBF.png' %}" alt="">
			</div>
		</a>
		<div class="plan">
			<ul>
				<b>Contacts</b>
				<li> <a href="#"> Nous contacter </a>  </li>
				<li> <a href="#"> Aide / FAQ </a> </li>
				<li> <a href="#"> Recrutement </a> </li>
				<li> <a href="#"> Espace Presse </a> </li>
			</ul>
			
			<ul>
				<b>Informations</b>
				<li> <a href="#"> Engagements RSE </a> </li>
				<li> <a href="#"> Avis de nos clients </a> </li>
				<li> <a href="#"> Réglementations </a> </li>
				<li> <a href="#"> Guides Bourse </a> </li>
				<li> <a href="#"> Sécurité </a> </li>
				<li> <a href="#"> Blog </a> </li>
			</ul>
			
			<ul>
				<b>Produits et Services</b>
				<li> <a href="#"> Offres spéciales </a> </li>
				<li> <a href="#"> Offres de parrainages </a> </li>
				<li> <a href="#"> Application mobile </a> </li>
				<li> <a href="#"> Formulaires </a> </li>
				<li> <a href="#"> Droit au compte </a> </li>
			</ul>

			<ul>
				<b>Liens utiles</b>
				<li> <a href="#"> Conditions tarifaires </a> </li>
				<li> <a href="#"> Conditions générales </a> </li>
				<li> <a href="#"> Glossaire (PDF) </a> </li>
				<li> <a href="#"> Politique Cookies </a> </li>
				<li> <a href="#"> Paramétrer les cookies </a> </li>
				<li> <a href="#"> Mentions légales </a> </li>
				<li> <a href="#"> Plan du site </a> </li>
			</ul>
		</div>
		</br>
		</br>
		<p style="text-align: right;"> © BBF Bank - 2024 </p>
	</footer>

	<!-- Sript pour le petit menu déroulant -->
	<script src="{% static 'JS/script_menu.js' %}"></script>

  </body>
</html>